QGIS Application - Bug report #17235
Qgis crash on loading 1000 layer project [60fd763] on Xubuntu Artful
2017-10-03 08:25 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No
Operating System: Xubuntu 17.10 Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 25134
Description

This project has about 900 raster layers and the rest are shapefiles. It is actively developed at present using older masters (313ec55 is
the most usable at the current time) and 2.18 nightly releases (to run plugins that aren't in 2.99)

My computer has been running Xubuntu Artful beta for some time and has just had all the latest packages installed. | started off using
master Zesty packages until they stopped working a month or two back and have just switched to the new Artful package repository for

master.

When Qgis starts it will load a smaller project just fine, but | haven't tried editing any of the data. With the large project mentioned, it has
stated there were 894 bad layers. 682 of these are raster layers, the remainder are vector layers from shapefiles.

If I click OK and get the message that it won't load the 894 bad layers, it still crashes. | saw nothing to indicate that the system was out of
memory.

at the moment | am testing this release on other VMs with different OS platforms to see how they behave.

History

#1 - 2017-10-03 08:43 AM - Giovanni Manghi
- Status changed from Open to Feedback

wasn't the issue already discussed in #16049-17 along with a solution?

#2 - 2017-10-03 08:49 AM - Patrick Dunford
- Status changed from Feedback to Open

Sure :) this is the only unpatched system | have now

#3 - 2017-10-03 09:18 AM - Giovanni Manghi
- Status changed from Open to Feedback

Patrick Dunford wrote:

Sure :) this is the only unpatched system | have now
what does this means? modifying that default limit is not a "patch", is just changing a system configuration. And | don't think QGIS has nothing to do with it.

#4 - 2017-10-03 09:42 AM - Patrick Dunford

| still see invalid layer errors loading layers on some systems, even on Windows rom time to time. | know that there are still situations where it will refuse to

load layers for no apparent reason.

#5 - 2017-10-03 02:40 PM - Giovanni Manghi

Patrick Dunford wrote:

1 still see invalid layer errors loading layers on some systems, even on Windows rom time to time. | know that there are still situations where it will

refuse to load layers for no apparent reason.

the title of this ticket suggest is about opening large number of files. This is the same as #16049 Do you mean that there are cases where you have

problems loading projects with low number of layers in it? If yes, how many total files do you have open in your system at that time?

#6 - 2018-02-22 01:06 PM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Feedback to Closed
